#!/bin/bash

#
# This is the Continuous Integration builder daemon (part of RocketGit)
#

queue="/var/lib/rocketgit/ciq"

ls "${queue}"/*.q | while read file; do
	VOL="/tmp/cid.tmp"

	echo
	echo "Processing file ${file}..."
	. "${file}"
	echo "URL=${URL}"
	echo "CMD=${CMD}"
	echo "IMAGE=${IMAGE}"

	# LOCKING: TODO

	# Clone the repo
	rm -rf ${VOL}
	mkdir -p ${VOL}/repo

	git clone --depth 1 "${URL}" ${VOL}/repo
	if [ "${?}" != "0" ]; then
		echo "Cannot clone"
		exit 1
	fi

	# TODO: why -e?!
	echo -e "cd /rg/repo; ${CMD}" > ${VOL}/rocketgit.sh
	chmod a+x ${VOL}/rocketgit.sh

	# Do the build

	docker rm rgcid 2>/dev/null

	dock="docker run --memory=512M"
	dock="${dock} --name=\"rgcid\""
	dock="${dock} --hostname=\"rocketgit-ci\""
	dock="${dock} --volume=\"${VOL}:/rg\""
	dock="${dock} --rm=true"
	dock="${dock} ${IMAGE} /bin/bash -c /rg/rocketgit.sh"
	echo "${dock}"

	${dock} &> ${file}.out
	E=${?}
	if [ "${E}" != "0" ]; then
		echo "Command exited with error ${E}"
	else
		echo "Command exited with success!"
	fi
done
